/*
 * ===========================
 * VDK Builder
 * Version 0.1.1
 * Revision 0.0
 * March 1999
 * ===========================
 *
 * Copyright (C) 1998, Mario Motta
 * Developed by Mario Motta <mmotta@guest.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-130
 */ 
#ifndef _vdkb_rbgroup_h
#define _vdkb_rbgroup_h
#include <vdkb/vdkb_evbox.h>

class VDKBRadioButtonGroup: public VDKBEventBox
{

 protected:
 public:
  static char* CreateSource(char* buffer,VDKBParser& parser);
  static bool CreateWidget(VDKBGuiForm* owner, 
			   char* buffer,VDKBParser& parser);
  static int MakeWidgetH(VDKBGuiForm* owner, GdkEvent* ev = NULL);
  static int MakeWidgetV(VDKBGuiForm* owner, GdkEvent* ev = NULL);
  VDKBRadioButtonGroup(char* name, VDKForm* owner, int mode = v_box, 
	       int w = 16, int h = 16);
  VDKBRadioButtonGroup(char* name, VDKBEventContainer* outer,
	       int mode = v_box, int w = 16, int h = 16);
  virtual int Type() { return vdkbclass_rbgroup; }
  virtual char* VDKName() { return "VDKRadioButtonGroup"; }
  virtual int isA() { return vdkbclass_rbgroup; }
  virtual void WriteOnFrm(FILE* fp,VDKBObject* parentobj);
  //
  void Init();
  void Add(VDKObject* obj, int justify,
	   int expand, int fill , int padding);
  void AddWidget(VDKObject* wid, int justify,
		 int expand, int fill , int padding,
		 bool forceArgs);
  virtual VDKObjectContainer* ExtraWidget(VDKBObjectInspector* isp);
};
#endif
